package com.java8.logical_Programs;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class FindNumbersDivisibleByThree {
    public static void main(String[] args) {

        // Given list of numbers as String, find numbers which are divisible by 3.

        List<String> listOfStr = Arrays.asList("3", "4", "21", "18", "24", "19", "30", "42");
        // Converting list of String of elements --> into list of Integer of elements.
        List<Integer> listOfNumbersDivByThree = listOfStr.stream()
                .map(e -> Integer.parseInt(e))
                .filter(num -> num % 3 == 0)
                .collect(Collectors.toList());
        System.out.println("Numbers which are divisible by 3 are:" + listOfNumbersDivByThree);

    }
}
