package com.java8.logical_Programs;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class FindCountOfEmpInEachDept {
    public static void main(String[] args) {

        // Find count of employees in each department
        List<Employee> employeeList = Arrays.asList(
                new Employee(101, "Syed", "IT"),
                new Employee(101, "Farhan", "HR"),
                new Employee(101, "Soha", "IT"),
                new Employee(101, "Faiz", "HR"),
                new Employee(101, "Syed", "IT")
        );

        Map<String, Long> employeeCountByDept = employeeList.stream()
                .collect(Collectors.groupingBy(Employee::getDept, Collectors.counting()));
        System.out.println("Employees in each dept are: " + employeeCountByDept);
    }
}
