package com.java8.logical_Programs;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class FindStringWithVowels {
    public static void main(String[] args) {

        // Given list of String words, find words which starts with a vowel.

        List<String> listOfStr = Arrays.asList("Hello", "Umbrella", "vehicle", "Garden", "Eden Garden", "owner");

        List<String> wordsWithVowels = listOfStr.stream()
                .filter(ch -> ch.toLowerCase().startsWith("a")
                        ||ch.toLowerCase().startsWith("e")
                        ||ch.toLowerCase().startsWith("i")
                        ||ch.toLowerCase().startsWith("o")
                        ||ch.toLowerCase().startsWith("u"))
                        .collect(Collectors.toList());
        System.out.println("Words starting with String are: " + wordsWithVowels);
    }
}
