package com.java8.logical_Programs;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class FlatMap_Example {
    public static void main(String[] args) {

        // FlatMap is the combination of Ma and flattening of Data.
        // Merging list of lists into just 1 list is done with flatMap() intermediate operation.

        List<Integer> evenList = Arrays.asList(2,4,6,8,10);
        List<Integer> oddList = Arrays.asList(1,3,5,7,11);
        List<Integer> primeList = Arrays.asList(17, 19, 23, 29, 31);

        // converting list of even, odd, prime number lists into 1 list.
        List<List<Integer>> flattenedList = Arrays.asList(evenList, oddList, primeList);

        // using flatMap() operation to flatten the lists into 1 list.
        List<Integer> finalList = flattenedList.stream().flatMap(s -> s.stream()).collect(Collectors.toList());
        System.out.println(finalList);
    }
}
